# Spec file for xvidcap.

%define xversion 1.1.6

Summary: Xvidcap allows you to capture your X display and save it as video
Name: xvidcap
Version: %{xversion}
Release: 1%{?dist}
Epoch: 1
License: GPL
Source0: %{name}-%{xversion}.tar.bz2
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://xvidcap.sourceforge.net/
BuildPrereq: gettext
BuildPrereq: ffmpeg-devel >= 0.4.9
BuildPrereq: lame-devel
BuildPrereq: libjpeg-devel 
BuildPrereq: libpng-devel 
BuildPrereq: libtheora-devel
BuildPrereq: libXdamage-devel
BuildPrereq: zlib-devel
Requires: gawk
Requires: zlib
Requires: ffmpeg >= 0.4.9
Conflicts: gvidcap

%description
Xvidcap is a screen capture utility that enables you to capture videos
(or image  sequences) of your X display for illustration or documentation
purposes.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure --enable-libtheora
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
# The rpm_opt_flags is a specified directory on linux distro's which contain flags which
# optimise it for your machine/distro (I think!). Not necessary, but might be useful.

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Undo the doc installation, we will put it in fedora's default doc directory below
rm -rf $RPM_BUILD_ROOT%{_docdir}/xvidcap

%{__install} -m 0755 ppm2mpeg.sh $RPM_BUILD_ROOT%{_bindir}/ppm2mpeg

# clean-up unecessary stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}/ppm2mpeg.sh

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
# Mark these as documentation (paths are rel. to build_root)
# RPM puts documentation in /usr/share/doc/name-version
%doc README NEWS INSTALL AUTHORS ChangeLog
# Executables and man pages, Karl has the gvidcap file being included as well!
%{_bindir}/xvidcap
%{_bindir}/ppm2mpeg
%{_mandir}/man1/xvidcap.1*
%lang(de) %{_mandir}/de/man1/xvidcap.1*
%lang(es) %{_mandir}/es/man1/xvidcap.1*
%lang(it) %{_mandir}/it/man1/xvidcap.1*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%lang(de) %{_datadir}/omf/%{name}/%{name}-de.omf
%lang(es) %{_datadir}/omf/%{name}/%{name}-es.omf
%lang(it) %{_datadir}/omf/%{name}/%{name}-it.omf
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade
#%{_datadir}/%{name}/glade/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_desktopdir}/%{name}.desktop

%changelog
* Sun Jul  8 2007 Peter Hanecak <hany@hany.sk> 1:1.1.6-1
- update to 1.1.6
- enabled usage of libtheora
- added additional build requires: libtheora-devel, libXdamage-devel

* Sun Jan 28 2007 Peter Hanecak <hany@hany.sk> 1:1.1.4-p1.1
- update to 1.1.4p1
- added %%{?dist} into spec

* Sat Jul 29 2006 Peter Hanecak <hany@hany.sk> 1.1.4pre3-1
- update to 1.1.4pre3

* Wed Aug 24 2005 Peter Hanecak <hanecak@megaloman.sk> 1.1.3-1
- adapted to Doors Linux:
  - .bz2 source archiv
  - %%{_tmppath} used for build root
  - %%{?_smp_mflags} used with 'make'
  - etc.
- ffmpeg 0.4.9 patch
- added ppm2mpeg from xvidcap's CVS

* Sun May 10 2004 Snorri <snorri_dj@operamail.com>
- First fedora build of gvidcap

